/*
 * Copyright (C) 2002 Tudor Bosman <tudorb-mutt@dwyn.net>
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */ 

#ifndef _IMAP_HEADERCACHE_H
#define _IMAP_HEADERCACHE_H
#include "imap_private.h"
#include "message.h"

typedef struct IMAP_HEADERCACHE
{
  char *name;
  char *tmpname;
  unsigned int uidvalidity;
  int exists;
} IMAP_HEADERCACHE;

struct IMAP_DATA;

IMAP_HEADERCACHE *imap_headercache_open(struct IMAP_DATA *idata);

void imap_headercache_close(IMAP_HEADERCACHE *hc);

int imap_headercache_add(IMAP_HEADERCACHE *hc, IMAP_HEADER *h, FILE *from,
                         size_t hdrsz);
int imap_headercache_update(IMAP_HEADERCACHE *hc, IMAP_HEADER *h);
int imap_headercache_delete(IMAP_HEADERCACHE *hc, IMAP_HEADER *h);

FILE *imap_headercache_find(IMAP_HEADERCACHE *hc, IMAP_HEADER *h);
void imap_headercache_done(IMAP_HEADERCACHE *hc, FILE *f);

#endif

